window.Gleam.initSearch([{"doc":"glitr_lustre","title":"glitr_lustre","content":"# glitr_lustre\n\nInterface for lustre to use Glitr&#39;s typed routes\n\n[![Package Version](https://img.shields.io/hexpm/v/glitr_lustre)](https://hex.pm/packages/glitr_lustre)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glitr_lustre/)\n\n```sh\ngleam add glitr_lustre\n```\n```gleam\nimport glitr_lustre\nimport lustre\n\npub fn main() {\n  let app = lustre.application(init, update, view)\n  let assert Ok(_) = lustre.start(app, &quot;#app&quot;, Nil)\n\n  Nil\n}\n\nfn update(model: Model, msg: Msg) -&gt; #(Model, Effect(Msg)) {\n  case msg {\n    TodoAdded(title) -&gt; #(model, glitr_lustre.send_to_route(\n      todo_routes.create(),\n      Nil,\n      CreateTodo(title),\n      ServerCreatedTodo,\n    ))\n    ServerCreatedTodo(Ok(new_todo)) -&gt; #([new_todo, ..model], effect.none())\n    _ -&gt; #(model, effect.none())\n  }\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/glitr_lustre&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"glitr_lustre","title":"send_to_route","content":"pub fn send_to_route(\n  route: Route(a, b, c),\n  path: a,\n  body: b,\n  as_msg: fn(Result(c, HttpError)) -&gt; d,\n) -&gt; Effect(d)\n\nSynonyms:\nglitr_lustre.send_to_route\nglitr_lustre send_to_route","url":"glitr_lustre.html#send_to_route"},{"doc":"glitr_lustre","title":"glitr_lustre","content":"","url":"glitr_lustre.html"}]);